<html>
<head>
<title>Downtime - Vanilla Extension</title>
<style><!--
dd { margin-bottom: 1em; }
blockquote { margin: 1em; padding: 1em; border: 1px solid black; }
--></style>
</head>

<body>

<h1 id="top">Downtime</h1>
<p>Downtime is a Vanilla extension that allows the administrator to take
the forum offline for maintenance. Regular users will see a configurable
message from the forum admins while privileged users will still be able to log
in and use the forums normally, more or less.</p>

<h2 id="toc">Table of Contents</h2>
<ul>
<li><a href="#install">Installing and Enabling Downtime</a></li>
<li><a href="#config">Configuration Settings</a></li>
<li><a href="#quirks">Quirks and Gotchas</a></li>
<li><a href="#develop">Development</a></li>
</ul>

<hr />
<h2 id="install">Installing and Enabling Downtime</h2>
<p>In order for Vanilla to recognize an extension, it must be contained within
its own directory within the extensions directory. So, once you have
downloaded and unzipped the Downtime files, you can then place the folder
containing the default.php file into your installation of Vanilla. The path to
Downtime's default.php file should look like this:</p>
<blockquote><code>/path/to/vanilla/extensions/Downtime/default.php</code></blockquote>
<p>Once this is complete, you can enable Downtime through the "Manage
Extensions" form on the settings tab in Vanilla.</p>

<hr />
<h2 id="config">Configuration Settings</h2>
<p>The easiest way to change Downtime's settings is to install and enable
<a href="http://code.google.com/p/vanilla-friends/wiki/SetList">SetList</a>.
Once you enable SetList, forum administrators will see a link to Downtime in
the side panel of the Vanilla settings page.</p>
<p>Downtime has two main settings to worry about. They are stored in Vanilla's
<code>conf/settings.php</code> file.</p>
<dl>
<dt><strong>$Configuration['FORUM_IS_OFFLINE']</strong></dt>
<dd>If this setting is removed or set to "0", your forum will work normally.
If it is set to "1", then only users with special permission will be able to
log in or use the forum. Everyone else will be logged out and will see a
message that the forum is offline for maintenance.</dd>
<dt><strong>$Configuration['FORUM_OFFLINE_MESSAGE']</strong></dt>
<dd>This string contains the message your users will see when the forum is
offline. This setting is optional, but recommended if you don't want to badly
confuse your users.</dd>
</dl>
<p>Anyone who has the "Change application settings" permission (that is, your
admins) will still be able to use the forum normally when it is offline. You
can also allow non-admin users to "test" the forum by giving them the "Can use
the forum normally when it is offline" permission on the "Roles & Permissions"
settings page.</p>

<hr />
<h2 id="quirks">Quirks and Gotchas</h2>
<ul>
<li>When the forum is offline, only the sign-in form will be viewable by
non-admin users. This might give you trouble if you aren't using the standard
Vanilla sign-in form (for example, if you have a Vanilla/Wordpress combo).
Downtime should still work properly, but you might not see the "forum offline"
message automatically because it only appears as a warning on the standard
Vanilla sign-in form.</li>
<li>When the forum is offline, most functions of people.php will be disabled.
That is, pretty much anything other than sign-in won't work; no applying for
membership, no password reset, etc.</li>
</ul>

<hr />
<h2 id="develop">Development</h2>
<p>Downtime was written by
<a href="mailto:squirrel@digitalsquirrel.com">squirrel</a>. Part of the
<a href="http://code.google.com/p/vanilla-friends/">Vanilla Friends</a>
project.</p>

</body>
</html>

